# No Testcase run by default. To enable: rpmbuild -ba --define 'dotests 1' pigz*.spec
%{!?dotests: %define dotests 1}

Name:           pigz
Version:        2.4
Release:        1
Summary:        Parallel implementation of gzip
Group:          Applications/File
License:        zlib
URL:            http://www.zlib.net/pigz/
Source0:        http://www.zlib.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-2.4-aix.patch

BuildRequires:  make
BuildRequires:  zlib-devel >= 1.2.11
Requires:       zlib >= 1.2.11

%description
pigz, which stands for parallel implementation of gzip,
is a fully functional replacement for gzip that exploits
multiple processors and multiple cores to the hilt when compressing data.

This AIX Toolbox build of pigz has the library search path set as
"/usr/opt/zlibNX/lib:/opt/freeware/lib:/usr/lib" to take advantage of 
hardware accelerated zlibNX library shipping with AIX 7.2 TL4 and above
if present


%prep
%setup -q
%patch0 -p1


%build
# pigz don't have configure but only has Makefile. So directly modify the build flags
# blibpath is set as "/usr/opt/zlibNX/lib:/opt/freeware/lib:/usr/lib" to take 
# advantage of hardware accelerated zlibNX library shipping with AIX 7.2 TL4 and above

export OBJECT_MODE=64

gmake %{?_smp_mflags}

if [ "%{dotests}" == 1 ]
then
    (gmake -i test || true)
fi

/usr/bin/strip %{name}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/%{name}

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}%{_bindir}
ln -s pigz unpigz


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc pigz.pdf README
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Apr 27 2020 Ayappan P <ayappap2@in.ibm.com> - 2.4-1
- AIX Toolbox build version 2.4

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 2.3.1-1
- updated to version 2.3.1

* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 2.3-1
- updated to version 2.3

* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 2.2.5-1
- first version for AIX V5.1 and higher
